\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{polyjmathc}[Polynesian Journal of Mathematics]

\LoadClass[b5paper,oneside]{article}
\RequirePackage[bottom=90pt]{geometry}

\RequirePackage{libertine}
\RequirePackage[mono,narrow,scale=.95]{zi4}
\RequirePackage[amsthm]{libertinust1math}
\RequirePackage[frak=euler,scr=euler]{mathalpha}
\RequirePackage{mathtools,thmtools}

\RequirePackage[unicode]{hyperref}
\RequirePackage[all]{nowidow}
\RequirePackage{indentfirst}
\RequirePackage{microtype}
\RequirePackage{graphicx}

\ifdefined\polyjmathref\else
\def\polyjmathref{Confidential submission}
\def\polyjmathrefx{(submitted)}
\fi

\RequirePackage{fancyhdr}
\fancypagestyle{plain}{\fancyhf{}
\renewcommand\headrulewidth{0pt}
\setlength{\headheight}{23pt}
\fancyhead[L]{\small\em Polynesian Journal of Mathematics\\\polyjmathref}
}
\fancypagestyle{after}{\fancyhf{}
\fancyhead[L]{\small\em Poly. J. Math. \polyjmathrefx}
\fancyhead[R]{\small\thepage}
}
\pagestyle{after}

\RequirePackage{authblk}
\setcounter{Maxaffil}{1}
\def\Affilfont{\small}
\def\Authsep{\qquad}
\def\Authand{\qquad}
\def\Authands{\qquad}

\let\@date\@empty
\let\date\relax

\let\hat\widehat
\let\epsilon\varepsilon

\bibliographystyle{plain}

\declaretheorem[numberwithin=section]{theorem}
\declaretheorem[sibling=theorem]{corollary}
\declaretheorem[sibling=theorem]{lemma}
\declaretheorem[sibling=theorem]{proposition}
\declaretheorem[sibling=theorem,style=remark]{conjecture}
\declaretheorem[sibling=theorem,style=remark]{definition}
\declaretheorem[sibling=theorem,style=remark]{example}
\declaretheorem[sibling=theorem,style=remark]{hypothesis}
\declaretheorem[sibling=theorem,style=remark]{remark}
